Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class MedicinalProductType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.MedicinalProductType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class MedicinalProductType extends Object implements Serializable
a medicinal product can be identified unambiguously by a CNK code identifying a package. The descriptive identification is only mandatory in case of absence of a package ID.

Java class for medicinalProductType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="medicinalProductType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="intendedcd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-DRUG-CNK" maxOccurs="unbounded"/>
             <element name="deliveredcd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-DRUG-CNK" maxOccurs="unbounded" minOccurs="0"/>
             <element name="intendedname" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="deliveredname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MedicinalProductType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CDDRUGCNK>`
  `getDeliveredcds()`
  in Belgium the effective delivered CNK code out of the drug database Gets the value of the deliveredcds property.
  `String`
  `getDeliveredname()`
  Gets the value of the deliveredname property.
  `List<CDDRUGCNK>`
  `getIntendedcds()`
  in Belgium a selected CNK code out of the drug database Gets the value of the intendedcds property.
  `String`
  `getIntendedname()`
  descriptive name in the package database, in Belgium the name use in the pharmacy database
  `void`
  `setDeliveredname(String value)`
  Sets the value of the deliveredname property.
  `void`
  `setIntendedname(String value)`
  Sets the value of the intendedname property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MedicinalProductType

    public MedicinalProductType()

- ## Method Details

  - ### getIntendedcds

    public List<CDDRUGCNK> getIntendedcds()
    in Belgium a selected CNK code out of the drug database Gets the value of the intendedcds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the intendedcds property.

    For example, to add a new item, do as follows:

         getIntendedcds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDDRUGCNK`

    Returns:
      The value of the intendedcds property.

  - ### getDeliveredcds

    public List<CDDRUGCNK> getDeliveredcds()
    in Belgium the effective delivered CNK code out of the drug database Gets the value of the deliveredcds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the deliveredcds property.

    For example, to add a new item, do as follows:

         getDeliveredcds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDDRUGCNK`

    Returns:
      The value of the deliveredcds property.

  - ### getIntendedname

    public String getIntendedname()
    descriptive name in the package database, in Belgium the name use in the pharmacy database
    Returns:
      possible object is `String`

  - ### setIntendedname

    public void setIntendedname(String value)
    Sets the value of the intendedname property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getIntendedname()`

  - ### getDeliveredname

    public String getDeliveredname()
    Gets the value of the deliveredname property.
    Returns:
      possible object is `String`

  - ### setDeliveredname

    public void setDeliveredname(String value)
    Sets the value of the deliveredname property.
    Parameters:
      `value` - allowed object is `String`